Debian Bug report logs - #532923
RFP: aegir-provision -- backend of the Aegir hosting system

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Fri, 12 Jun 2009 19:30:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#532923; Package wnpp. (Fri, 12 Jun 2009 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Fri, 12 Jun 2009 19:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: aegir-provision -- backend of the Aegir hosting system
Date: Fri, 12 Jun 2009 13:35:41 -0400
Package: wnpp
Severity: wishlist
Owner: The Anarcat <anarcat@anarcat.ath.cx>


* Package name    : aegir-provision
  Version         : 0.2
  Upstream Author : Adrian Rossouw
* URL             : http://drupal.org/project/provision
* License         : GPL
  Programming Lang: PHP
  Description     : backend of the Aegir hosting system

    Ægir is a new set of contributed modules for Drupal that aims to
    solve the problem of managing a large number of Drupal sites. It
    does this by providing you with a simple Drupal based hosting front
    end for your entire network of sites. To deploy a new site you
    simply have to create a new Site node. To backup or upgrade sites,
    you simply manage your site nodes as you would any other node.

    The provision component of this system provides the back end used
    for system level tasks such as creating configuration files and
    managing databases and backup files.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, The Anarcat <anarcat@anarcat.ath.cx>:
Bug#532923; Package wnpp. (Mon, 15 Jun 2009 03:38:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat@koumbit.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, The Anarcat <anarcat@anarcat.ath.cx>. (Mon, 15 Jun 2009 03:38:21 GMT) Full text and rfc822 format available.

Message #10 received at 532923@bugs.debian.org (full text, mbox):

From: anarcat@koumbit.org
To: 532923@bugs.debian.org
Subject: now in the NEW queue
Date: Sun, 14 Jun 2009 23:36:36 -0400
[Message part 1 (text/plain, inline)]
I have finished building the package. See also:
http://drupal.org/node/461488 for further discussion.

The package is now in the NEW queue:

http://ftp-master.debian.org/new/drush_2.0-3.html
[signature.asc (application/pgp-signature, inline)]

Reply sent to The Anarcat <anarcat@anarcat.ath.cx>:
You have taken responsibility. (Sun, 13 Sep 2009 12:42:07 GMT) Full text and rfc822 format available.

Notification sent to The Anarcat <anarcat@anarcat.ath.cx>:
Bug acknowledged by developer. (Sun, 13 Sep 2009 12:42:07 GMT) Full text and rfc822 format available.

Message #15 received at 532923-done@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: 532923-done@bugs.debian.org
Subject: provision now in unstable
Date: Sun, 13 Sep 2009 14:33:14 +0200
[Message part 1 (text/plain, inline)]
Fixed!

-- 
To be naive and easily deceived is impermissible, today more than
ever, when the prevailing untruths may lead to a catastrophe because
they blind people to real dangers and real possibilities.
                        - Erich Fromm
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Oct 2009 07:31:15 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from The Anarcat <anarcat@koumbit.org> to control@bugs.debian.org. (Fri, 26 Nov 2010 14:45:15 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Nov 2010 14:45:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, The Anarcat <anarcat@anarcat.ath.cx>:
Bug#532923; Package wnpp. (Sat, 27 Nov 2010 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@koumbit.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, The Anarcat <anarcat@anarcat.ath.cx>. (Sat, 27 Nov 2010 23:48:03 GMT) Full text and rfc822 format available.

Message #26 received at 532923@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@koumbit.org>
To: 532923@bugs.debian.org
Subject: aegir repackaged as 0.4~beta1-1
Date: Thu, 25 Nov 2010 22:33:03 -0500
[Message part 1 (text/plain, inline)]
This package was actually removed from Debian because it was outdated
(0.3). The Aegir project just released a beta release of 0.4 that could
very well go into unstable. There's an issue opened on Drupal.org about
this:

http://drupal.org/node/490004#comment-3755292

There is a little "Debian heresy" in the package:

 1. it prompts for the root MySQL password through debconf, without
 using dbconfig-common, apparently this is now discouraged
 2. it downloads and deploys new code in postinst, code that is
 duplicated with the drupal6 package
 3. it doesn't respect the FHS (everything is installed in /var/aegir)

#1 is not a big problem: I do not think it will keep the package from
being included in Debian.

#2 is a bigger problem: I suspect it would break under the piuparts and
automated test environments. Basically, the install depends on network
connectivity and install new files not documented in the package file
listing. It also doesn't clean up those files when the package is
uninstalled.

A way around this would be to do something similar than with the
flashplugin-nonfree package: prompt the user if he wants to go forward
with the install, defaulting to "no" so that automated tests don't freak
out.

#3 is much harder: upstream really assumes strongly that everything is
one location. I tried to struggle with that tendency and kind of gave up
when multi-server was implemented: everything got much more complicated
and I feel it could take a while to respect the FHS again. Most of the
files in /var/aegir are automatically managed by aegir (but not all!) so
that shouldn't be a big surprise for Aegir users. In fact, if the Debian
package doesn't follow the /var/aegir convention, it *will* create
significant confusion for users migrating from manual installs.

The debian/TODO also lists some other issues.

Feedback would be appreciated on how to move this issue forward and make
sure the package fits with Debian's policies.

I have uploaded the package to http://debian.koumbit.net/ for testing by
the community. Installs and upgrades (from manual installs, of course)
need to be tested thoroughly.

I will look for a mentor to try to get this into Debian again. Of course
it will probably not hit squeeze, but sid is better than nothing. :)

Thanks,

A.

-- 
Antoine Beaupré
Réseau Koumbit Networks
+1.514.387.6262
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, The Anarcat <anarcat@anarcat.ath.cx>:
Bug#532923; Package wnpp. (Wed, 27 Jul 2011 16:29:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, The Anarcat <anarcat@anarcat.ath.cx>. (Wed, 27 Jul 2011 16:29:28 GMT) Full text and rfc822 format available.

Message #31 received at 532923@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 532923@bugs.debian.org
Cc: control@bugs.debian.org
Subject: aegir-provision: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 532923 RFP: aegir-provision -- backend of the Aegir hosting system
noowner 532923
thanks

Hi,

This is an automatic email to change the status of aegir-provision back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting aegir-provision, please send a mail to
<control@bugs.debian.org> with:

 retitle 532923 ITP: aegir-provision -- backend of the Aegir hosting system
 owner 532923 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <532923@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: aegir-provision -- backend of the Aegir hosting system' from 'ITP: aegir-provision -- backend of the Aegir hosting system' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:45:39 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by The Anarcat <anarcat@anarcat.ath.cx>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:45:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#532923; Package wnpp. (Wed, 27 Jul 2011 16:57:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:57:50 GMT) Full text and rfc822 format available.

Message #40 received at 532923@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@anarcat.ath.cx>
To: Lucas Nussbaum <lucas@debian.org>, 532923@bugs.debian.org, 532923@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#532923: aegir-provision: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 12:46:30 -0400
retitle 532923 ITP: aegir-provision -- backend of the Aegir hosting system
owner 532923 !
thanks

This software is currently packaged, but it infringes on a few rules of
the Debian policy, so it can't be uploaded straight to Debian. People
wanting to experiment (and improve!) on the package are welcome to look
into http://debian.koumbit.net/ for the package and
http://community.aegirproject.org/debian for build instructions.

I wish to keep this an ITP, as I still intend to ship this in Debian,
hopefully wheezy...

A.

-- 
Si l'image donne l'illusion de savoir
C'est que l'adage pretend que pour croire,
L'important ne serait que de voir
                        - Lofofora




Changed Bug title to 'ITP: aegir-provision -- backend of the Aegir hosting system' from 'RFP: aegir-provision -- backend of the Aegir hosting system' Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:55 GMT) Full text and rfc822 format available.

Owner recorded as Antoine Beaupré <anarcat@anarcat.ath.cx>. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:56 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Antoine Beaupré <anarcat@debian.org>' from 'The Anarcat <anarcat@anarcat.ath.cx>' Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 01:48:11 GMT) Full text and rfc822 format available.

Owner changed from Antoine Beaupré <anarcat@anarcat.ath.cx> to Antoine Beaupré <anarcat@debian.org>. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 01:48:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antoine Beaupré <anarcat@debian.org>:
Bug#532923; Package wnpp. (Tue, 03 Jan 2012 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antoine Beaupré <anarcat@debian.org>. (Tue, 03 Jan 2012 11:12:08 GMT) Full text and rfc822 format available.

Message #53 received at 532923@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 532923@bugs.debian.org
Subject: Re: ITP: aegir-provision -- backend of the Aegir hosting system
Date: Tue, 3 Jan 2012 12:09:20 +0100
Hi,

Any progress on this ITP?

I also would be interested in this package.

Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antoine Beaupré <anarcat@debian.org>:
Bug#532923; Package wnpp. (Mon, 27 May 2013 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antoine Beaupré <anarcat@debian.org>. (Mon, 27 May 2013 13:33:13 GMT) Full text and rfc822 format available.

Message #58 received at 532923@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 532923@bugs.debian.org
Cc: control@bugs.debian.org
Subject: aegir-provision: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:17 +0200
retitle 532923 RFP: aegir-provision -- backend of the Aegir hosting system
noowner 532923
tag 532923 - pending
thanks

Hi,

This is an automatic email to change the status of aegir-provision back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting aegir-provision, please send a mail to
<control@bugs.debian.org> with:

 retitle 532923 ITP: aegir-provision -- backend of the Aegir hosting system
 owner 532923 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <532923@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: aegir-provision -- backend of the Aegir hosting system' from 'ITP: aegir-provision -- backend of the Aegir hosting system' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:54:08 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Antoine Beaupré <anarcat@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:54:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:24:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.